javax.annotation.processing

## Interface Completion

-     public interface Completion

  A suggested completion for an annotation. A completion is text meant to be inserted into a program as part of an annotation.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Returns an informative message about the completion.
    `String` | `getValue()` Returns the text of the suggested completion.

- - ### Method Detail

    - #### getValue

          String getValue()

      Returns the text of the suggested completion.
      Returns:
        the text of the suggested completion.

    - #### getMessage

          String getMessage()

      Returns an informative message about the completion.
      Returns:
        an informative message about the completion.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.